Broadcast theme
Broadcast v3
Search…
⌃K

Updating from version 3

Customers updating from Broadcast version 3.x and higher
Broadcast versions 3 and above are designed for Shopify's Online Store 2.0. For customers who are already using Broadcast version 3 or above, these tips will help you migrate your current shop settings, sections and blocks over to a newer version of Broadcast.

Migrating settings

Full video walkthrough on how to migrate all your theme settings, sections and blocks:
Online Store 2.0 uses JSON files to store all your settings and sections. Several JSON files hold this information. Currently, the best method to migrate or copy your settings is to copy the content from these files to the new theme version. Shopify may introduce tools in the future to help with this process. For now, if you are comfortable with using the Shopify Code Editor, then you can use that tool to copy over all your settings.

Error messages

If you come across an error message when copying JSON code from your live theme (the older version) to the new theme, there might be a reference to something that has been changed or not created.
An example would be if you created one or more custom sections. These sections need to be created on the new theme before you copy over the JSON code.
Take a screenshot and send to our support staff if you have any questions about the error message.

Subcollections error message

There was a change made in Broadcast 3.3.1 in collections.json. Please view this video on how to fix this error message: